%global plugin_name icyque

%global commit0 8b7109edf65e12b14f74b1379af670cfe77614e1
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20190403

Name: purple-%{plugin_name}
Version: 0
Release: 1.%{date}git%{shortcommit0}%{?dist}
Summary: ICQ WIM protocol for libpurple/Pidgin
License: GPLv3
URL: https://github.com/EionRobb/icyque
Source0: %{url}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz
BuildRequires: /usr/bin/pkg-config
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(purple)
BuildRequires: gcc
Enhances: libpurple

%description
Adds support for ICQ WIM protocol to Pidgin, Adium, Finch and other libpurple	
based messengers.

%prep
%setup -n %{plugin_name}-%{commit0}

%build
make %{?_smp_mflags} V=1 \
  CFLAGS="%{optflags}"

%install
%make_install

%files
%license LICENSE
%doc README.md
%{_libdir}/purple-2/lib%{plugin_name}.so

%changelog
* Sun Apr 14 2019 Vít Ondruch <vondruch@fedoraproject.org> - 0-1.git20190403git8b7109e
- Initial commit.
